NX Open C++ Reference Guide
|
Represents a CAE::MeshPointMultipleOnCurveBuilder
To create a new instance of this class, use CAE::MeshPointCollection::CreateMeshpointMultipleOnCurveBuilder
Created in NX5.0.2.
More...
Public Types | |
enum | PlacementType { PlacementTypeByNumber, PlacementTypeByDistance } |
the placement type types More... | |
Public Member Functions | |
bool | CreateOption () |
Returns the create option Created in NX5.0.0. | |
NXOpen::Expression * | Distance () |
Returns the distance Created in NX5.0.2. | |
NXOpen::SelectIBaseCurveList * | Edge () |
Returns the node Created in NX5.0.2. | |
int | NumMeshpoints () |
Returns the number of meshpoints Created in NX5.0.0. | |
NXOpen::CAE::MeshPointMultipleOnCurveBuilder::PlacementType | PlacementOption () |
Returns the placement option Created in NX5.0.0. | |
void | SetCreateOption (bool createOption) |
Sets the create option Created in NX5.0.0. | |
void | SetNumMeshpoints (int numMeshpoints) |
Sets the number of meshpoints Created in NX5.0.0. | |
void | SetPlacementOption (NXOpen::CAE::MeshPointMultipleOnCurveBuilder::PlacementType placementOption) |
Sets the placement option Created in NX5.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::MeshPointMultipleOnCurveBuilder
To create a new instance of this class, use CAE::MeshPointCollection::CreateMeshpointMultipleOnCurveBuilder
Created in NX5.0.2.
bool NXOpen::CAE::MeshPointMultipleOnCurveBuilder::CreateOption | ( | ) |
Returns the create option
Created in NX5.0.0.
License requirements : None
NXOpen::Expression* NXOpen::CAE::MeshPointMultipleOnCurveBuilder::Distance | ( | ) |
Returns the distance
Created in NX5.0.2.
License requirements : None
NXOpen::SelectIBaseCurveList* NXOpen::CAE::MeshPointMultipleOnCurveBuilder::Edge | ( | ) |
Returns the node
Created in NX5.0.2.
License requirements : None
int NXOpen::CAE::MeshPointMultipleOnCurveBuilder::NumMeshpoints | ( | ) |
Returns the number of meshpoints
Created in NX5.0.0.
License requirements : None
NXOpen::CAE::MeshPointMultipleOnCurveBuilder::PlacementType NXOpen::CAE::MeshPointMultipleOnCurveBuilder::PlacementOption | ( | ) |
Returns the placement option
Created in NX5.0.0.
License requirements : None
void NXOpen::CAE::MeshPointMultipleOnCurveBuilder::SetCreateOption | ( | bool | createOption | ) |
Sets the create option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
createOption | createoption |
void NXOpen::CAE::MeshPointMultipleOnCurveBuilder::SetNumMeshpoints | ( | int | numMeshpoints | ) |
Sets the number of meshpoints
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
numMeshpoints | nummeshpoints |
void NXOpen::CAE::MeshPointMultipleOnCurveBuilder::SetPlacementOption | ( | NXOpen::CAE::MeshPointMultipleOnCurveBuilder::PlacementType | placementOption | ) |
Sets the placement option
Created in NX5.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
placementOption | placementoption |